%define	name	 stldb4
%define ver      0.4.6
%define rel      60001
# %define prefix   @PREFIX@
# %define sysconfdir @SYSCONFDIR@
# %define exec_prefix @EXECPREFIX@
# %define bindir @BINDIR@
# %define libdir @LIBDIR@
# %define includedir @INCLUDEDIR@

Summary: C++ Wrapper for the sleepycat db4 library
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/witme/%{name}-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Packager: Ben Martin <monkeyiq@users.sourceforge.net>
URL: http://sourceforge.net/project/showfiles.php?group_id=16036
Requires: ferrisstreams >= 0.5.0
BuildRequires: libsigc++20-devel >= 2.0.17
BuildRequires: glib2-devel >= 2.0.0

%description
C++ Wrapper for the sleepycat db4 library
These are the main design points:

1) Using STL in the API where sensible. For example, to
   read a range of keys an STL like iterator object should
   be used.
2) Allowing Standard IOStreams for data access where sensible,
   for example getting the value of a key should be able to use 
   an istream interface to allow simple partial value retreival.
3) move transaction parameter to be last optional param 
   or provde two versions of the same method for trans/nontrans
4) Modification of API to use more standard types.
5) Use of operator overloading to allow quick and dirty coding
   mydb[ "key" ] = "value"; to set and 
   cerr << mydb["key"] << endl; to read values

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
##%configure --enable-wrapdebug --enable-rpc --with-uniquename=stldb4 
%configure --enable-rpc --with-uniquename=stldb4 --enable-hiddensymbols --with-pic \
	--disable-stlport --with-sigcxx-2x=yes

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

# if [ ! -f configure ]; then
# 	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} --sysconfdir=%{sysconfdir} --enable-rpc --with-uniquename=stldb4 
# else
# 	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --enable-rpc --with-uniquename=stldb4 --enable-wrapdebug 
# fi


# if [ "$SMP" != "" ]; then
#   (make "MAKE=make -k -j $SMP"; exit 0)
#   make
# else
#   make
# fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# make \
# 	prefix=$RPM_BUILD_ROOT%{prefix} \
# 	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
# 	exec_prefix=$RPM_BUILD_ROOT%{exec_prefix} \
# 	bindir=$RPM_BUILD_ROOT%{bindir} \
# 	libdir=$RPM_BUILD_ROOT%{libdir} \
# 	includedir=$RPM_BUILD_ROOT%{includedir} \
# 	install


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog INSTALL
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*


%changelog
* Sun May 4 2003 Ben Martin
- Created 
